package com.ploedige.threadtest;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    TestThread[] threadArray = new TestThread[4];

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        for(int i=0; i<threadArray.length;i++){
            threadArray[i]=new TestThread();
            threadArray[i].setName("Thread_"+i);
            threadArray[i].start();
        }

        //connect Buttons to Threads
        Button button1 = findViewById(R.id.Thread1_btn);
        Button button2 = findViewById(R.id.Thread2_btn);
        Button button3 = findViewById(R.id.Thread3_btn);
        Button button4 = findViewById(R.id.Thread4_btn);

        button1.setOnClickListener(v ->
                Log.v("Thread_1", String.valueOf(threadArray[0].getCounter())));
        button2.setOnClickListener(v ->
                Log.v("Thread_2", String.valueOf(threadArray[1].getCounter())));
        button3.setOnClickListener(v ->
                Log.v("Thread_3", String.valueOf(threadArray[2].getCounter())));
        button4.setOnClickListener(v ->
                Log.v("Thread_4", String.valueOf(threadArray[3].getCounter())));
    }
}